holidays:
  # @attrib https://en.wikipedia.org/wiki/Public_holidays_in_Norway
  # @source https://no.wikipedia.org/wiki/Arbeidernes_internasjonale_kampdag
  # @source https://no.wikipedia.org/wiki/17._mai_(grunnlovsdag)
  # @source https://no.wikipedia.org/wiki/P%C3%A5skeaften
  NO:
    names:
      no: Norge
      en: Norway
    dayoff: sunday
    langs:
      - no
    zones:
      - Europe/Oslo
    days:
      01-01:
        _name: 01-01
      2nd sunday in February:
        _name: Mothers Day
        type: observance
      easter -49:
        name:
          no: Fastelavn
          en: Carnival
        type: observance
      easter -7:
        _name: easter -7
        type: observance
      easter -3:
        _name: easter -3
      easter -2:
        _name: easter -2
      easter -1:
        _name: easter -1
      easter:
        _name: easter
      easter 1:
        _name: easter 1
      05-01:
        _name: 05-01
      05-08:
        _name: Liberation Day
        type: observance
      05-17:
        _name: Constitution Day
        name:
          no: 17. mai
      easter 39:
        _name: easter 39
      easter 49:
        _name: easter 49
      easter 50:
        _name: easter 50
      06-23:
        name:
          no: Sankthansaften
          en: Midsummar Eve
        type: observance
      2nd sunday in November:
        _name: Fathers Day
        type: observance
      4th sunday before 12-24:
        name:
          no: Første søndag i advent
          en: First Sunday of Advent
        type: observance
      3rd sunday before 12-24:
        name:
          no: Andre søndag i advent
          en: Second Sunday of Advent
        type: observance
      2nd sunday before 12-24:
        name:
          no: Tredje søndag i advent
          en: Third Sunday of Advent
        type: observance
      1st sunday before 12-24:
        name:
          no: Fjerde søndag i advent
          en: Fourth Sunday of Advent
        type: observance
      12-24:
        _name: 12-24
        type: bank
      12-25:
        _name: 12-25
      12-26:
        _name: 12-26
      '12-31 14:00 if sunday then 00:00':
        _name: 12-31
        type: bank
